com.holonplatform.vaadin.components.builders

## Interface ComponentContainerBuilder<C extends com.vaadin.ui.ComponentContainer,B extends ComponentContainerBuilder<C,B>>

- Type Parameters:
    `C` - Component container type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentBuilder<C,B>, ComponentConfigurator<B>, ComponentContainerConfigurator<B>
  All Known Subinterfaces:
    BaseLayoutBuilder<C,B>, CssLayoutBuilder, FormLayoutBuilder, GridLayoutBuilder, HorizontalLayoutBuilder, LayoutBuilder<C,B>, OrderedLayoutBuilder<C,B>, VerticalLayoutBuilder

      public interface ComponentContainerBuilder<C extends com.vaadin.ui.ComponentContainer,B extends ComponentContainerBuilder<C,B>>
      extends ComponentContainerConfigurator<B>, ComponentBuilder<C,B>

  Builder for `ComponentContainer` components type creation.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2017 The Holon Platform. All rights reserved.